Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.ssl
Class SocketBase

    java.lang.Object
      |
      +--org.mozilla.jss.ssl.SocketBase

class SocketBase
extends java.lang.Object

Field Summary
`(package private) static int` | `PR_SHUTDOWN_RCV`
`(package private) static int` | `PR_SHUTDOWN_SEND`
`private boolean` | `requestingClientAuth`
`(package private) static int` | `SO_KEEPALIVE`
`private SocketProxy` | `sockProxy`
`(package private) static int` | `SSL_ENABLE_SSL2` Enums.
`(package private) static int` | `SSL_ENABLE_SSL3`
`(package private) static int` | `SSL_NO_CACHE`
`(package private) static int` | `SSL_POLICY_DOMESTIC`
`(package private) static int` | `SSL_POLICY_EXPORT`
`(package private) static int` | `SSL_POLICY_FRANCE`
`(package private) static int` | `SSL_REQUEST_CERTIFICATE`
`(package private) static int` | `SSL_REQUIRE_CERTIFICATE`
`(package private) static int` | `TCP_NODELAY`
`private int` | `timeout`

Constructor Summary
`(package private)` | `SocketBase()`

Method Summary
`(package private) void` | `close()`
`private static java.net.InetAddress` | `convertIntToInetAddress(int intAddr)` Converts a host-ordered 4-byte internet address into an InetAddress.
`(package private) void` | `enableSSL2(boolean enable)`
`(package private) void` | `enableSSL3(boolean enable)`
`(package private) java.net.InetAddress` | `getInetAddress()`
`(package private) java.net.InetAddress` | `getLocalAddress()`
`private int` | `getLocalAddressNative()`
`int` | `getLocalPort()`
`private int` | `getLocalPortNative()`
`private int` | `getPeerAddressNative()`
`(package private) int` | `getTimeout()`
`(package private) static java.lang.Throwable` | `processExceptions(java.lang.Throwable topException, java.lang.Throwable bottomException)`
`(package private) void` | `requestClientAuth(boolean b)`
`void` | `requestClientAuthNoExpiryCheck(boolean b)`
`private void` | `requestClientAuthNoExpiryCheckNative(boolean b)`
`(package private) void` | `requireClientAuth(boolean require, boolean onRedo)`
`(package private) void` | `setClientCert(X509Certificate cert)`
`void` | `setClientCertNickname(java.lang.String nick)` Sets the nickname of the certificate to use for client authentication.
`(package private) void` | `setProxy(SocketProxy sockProxy)`
`(package private) void` | `setSSLOption(int option, boolean on)`
`(package private) void` | `setSSLOption(int option, int on)`
`(package private) void` | `setTimeout(int timeout)`
`(package private) void` | `socketBind(byte[] addrBA, int port)`
`(package private) void` | `socketClose()`
`(package private) byte[]` | `socketCreate(java.lang.Object socketObject, SSLCertificateApprovalCallback certApprovalCallback, SSLClientCertificateSelectionCallback clientCertSelectionCallback)`
`(package private) byte[]` | `socketCreate(java.lang.Object socketObject, SSLCertificateApprovalCallback certApprovalCallback, SSLClientCertificateSelectionCallback clientCertSelectionCallback, java.net.Socket javaSock, java.lang.String host)`
`(package private) void` | `useCache(boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sockProxy

    private SocketProxy sockProxy

### timeout

    private int timeout

### SSL_ENABLE_SSL2

    static final int SSL_ENABLE_SSL2

  Enums. These must match the enums table in SSLSocket.c. This is safer than copying the values of the C constants, which are subject to change, into Java code.

  See Also:
    Constant Field Values

### SSL_ENABLE_SSL3

    static final int SSL_ENABLE_SSL3

See Also:
  Constant Field Values

### TCP_NODELAY

    static final int TCP_NODELAY

See Also:
  Constant Field Values

### SO_KEEPALIVE

    static final int SO_KEEPALIVE

See Also:
  Constant Field Values

### PR_SHUTDOWN_RCV

    static final int PR_SHUTDOWN_RCV

See Also:
  Constant Field Values

### PR_SHUTDOWN_SEND

    static final int PR_SHUTDOWN_SEND

See Also:
  Constant Field Values

### SSL_REQUIRE_CERTIFICATE

    static final int SSL_REQUIRE_CERTIFICATE

See Also:
  Constant Field Values

### SSL_REQUEST_CERTIFICATE

    static final int SSL_REQUEST_CERTIFICATE

See Also:
  Constant Field Values

### SSL_NO_CACHE

    static final int SSL_NO_CACHE

See Also:
  Constant Field Values

### SSL_POLICY_DOMESTIC

    static final int SSL_POLICY_DOMESTIC

See Also:
  Constant Field Values

### SSL_POLICY_EXPORT

    static final int SSL_POLICY_EXPORT

See Also:
  Constant Field Values

### SSL_POLICY_FRANCE

    static final int SSL_POLICY_FRANCE

See Also:
  Constant Field Values

### requestingClientAuth

    private boolean requestingClientAuth

Constructor Detail

### SocketBase

    SocketBase()

Method Detail

### getTimeout

    int getTimeout()

### setTimeout

    void setTimeout(int timeout)

### setProxy

    void setProxy(SocketProxy sockProxy)

### socketCreate

    byte[] socketCreate(java.lang.Object socketObject,
                        SSLCertificateApprovalCallback certApprovalCallback,
                        SSLClientCertificateSelectionCallback clientCertSelectionCallback,
                        java.net.Socket javaSock,
                        java.lang.String host)
                  throws java.net.SocketException

    `java.net.SocketException`

### socketCreate

    byte[] socketCreate(java.lang.Object socketObject,
                        SSLCertificateApprovalCallback certApprovalCallback,
                        SSLClientCertificateSelectionCallback clientCertSelectionCallback)
                  throws java.net.SocketException

    `java.net.SocketException`

### socketBind

    void socketBind(byte[] addrBA,
                    int port)
              throws java.net.SocketException

    `java.net.SocketException`

### close

    void close()
         throws java.io.IOException

    `java.io.IOException`

### socketClose

    void socketClose()
               throws java.io.IOException

    `java.io.IOException`

### requestClientAuth

    void requestClientAuth(boolean b)
                     throws java.net.SocketException

    `java.net.SocketException`

### requestClientAuthNoExpiryCheck

    public void requestClientAuthNoExpiryCheck(boolean b)
                                        throws java.net.SocketException

    `java.net.SocketException`

### requestClientAuthNoExpiryCheckNative

    private void requestClientAuthNoExpiryCheckNative(boolean b)
                                               throws java.net.SocketException

    `java.net.SocketException`

### enableSSL2

    void enableSSL2(boolean enable)
              throws java.net.SocketException

    `java.net.SocketException`

### enableSSL3

    void enableSSL3(boolean enable)
              throws java.net.SocketException

    `java.net.SocketException`

### setSSLOption

    void setSSLOption(int option,
                      boolean on)
                throws java.net.SocketException

    `java.net.SocketException`

### setSSLOption

    void setSSLOption(int option,
                      int on)
                throws java.net.SocketException

    `java.net.SocketException`

### convertIntToInetAddress

    private static java.net.InetAddress convertIntToInetAddress(int intAddr)

  Converts a host-ordered 4-byte internet address into an InetAddress. Unfortunately InetAddress provides no more efficient means of construction than getByName(), and it is final.

  Returns:
    The InetAddress corresponding to the given integer, or `null` if the InetAddress could not be constructed.

### getInetAddress

    java.net.InetAddress getInetAddress()

  Returns:
    the InetAddress of the peer end of the socket.

### getPeerAddressNative

    private int getPeerAddressNative()
                              throws java.net.SocketException

    `java.net.SocketException`

### getLocalAddress

    java.net.InetAddress getLocalAddress()

  Returns:
    The local IP address.

### getLocalAddressNative

    private int getLocalAddressNative()
                               throws java.net.SocketException

    `java.net.SocketException`

### getLocalPort

    public int getLocalPort()

### getLocalPortNative

    private int getLocalPortNative()
                            throws java.net.SocketException

    `java.net.SocketException`

### requireClientAuth

    void requireClientAuth(boolean require,
                           boolean onRedo)
                     throws java.net.SocketException

    `java.net.SocketException`

### setClientCertNickname

    public void setClientCertNickname(java.lang.String nick)
                               throws java.net.SocketException

  Sets the nickname of the certificate to use for client authentication.

    `java.net.SocketException`

### setClientCert

    void setClientCert(X509Certificate cert)
                 throws java.net.SocketException

    `java.net.SocketException`

### useCache

    void useCache(boolean b)
            throws java.net.SocketException

    `java.net.SocketException`

### processExceptions

    static java.lang.Throwable processExceptions(java.lang.Throwable topException,
                                                 java.lang.Throwable bottomException)

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD